Subject: [ntpwg] Q: Peer Selection (Sel) in RFC 1305 vs. draft-odonoghue-ntpv4-control-02.txt

From: "Ulrich Windl" <[email-masked]>
Date: Wed, 30 Sep 2015 08:13:57 +0200

Hi!

I just realized that the explanation of Peer Selection Values (Sel) in the Peer Status Word may be misleading between RFC 1305 and draft-odonoghue-ntpv4-control-02.txt:

RFC 1305:
3 passed candidate checks (if limit check implemented)
4 passed outlyer checks (clustering algorithm in Section 4.2.2)

draft-odonoghue-ntpv4-control-02.txt:
|   3   | discarded by the cluster algorithm
|   4   | included by the combine algorithm

While RFC 1305 suggests value 3 is some kind of success, the draft suggests that value 3 means failure.

The semantics of values 0 to 4 in RFC 1305 seem to indicate success (or implicitly a failure at the next level?), while the values 0 to 3 in draft-odonoghue-ntpv4-control-02 seem to indicate some failure. It would be much preferrable if all values would indicate some level of success, or some lavel of failure; mixing both types makes it hard to understand.

Regards,
Ulrich
P.S. If this message is duplicated, our mail system had a full disk...

_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg

---

From: Greg Dowd <[email-masked]>
Date: Wed, 30 Sep 2015 15:20:23 +0000

It seems like they are both correct but maybe could be clarified?  I believe 3 (selection candidate) means you made it on the list, - in ntpq.  But, if you don't make it to 4 (sync candidate) + in ntpq, then you didn't fit in the cluster?  So, the 1305 definition explains the check while the odonoghue draft explains what ending up in this state in the end actually implies.  For a positive statement, I'd vote to use the 1305 test definition.  

-----Original Message-----
From: ntpwg [mailto:ntpwg-bounces+greg.dowd=[email-masked]] On Behalf Of Ulrich Windl
Sent: Tuesday, September 29, 2015 11:14 PM
To: [email-masked]
Subject: [ntpwg] Q: Peer Selection (Sel) in RFC 1305 vs. draft-odonoghue-ntpv4-control-02.txt

EXTERNAL EMAIL

Hi!

RFC 1305:

Regards,
Ulrich